---
title: llarp::layers::platform::AddressMapping
summary: an entry for mapping an os address to a flow address 

---

# llarp::layers::platform::AddressMapping



an entry for mapping an os address to a flow address 


`#include <driver_base.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [flow::FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) | **[flow_addr](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-flow-addr)** <br>the address for the flow layer  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[platform_addr](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-platform-addr)** <br>the address on the os side  |

## Public Attributes Documentation

### variable flow_addr

```cpp
flow::FlowAddr flow_addr;
```

the address for the flow layer 

### variable platform_addr

```cpp
PlatformAddr platform_addr;
```

the address on the os side 

-------------------------------

Updated on 2023-01-17 at 19:45:13 +0000